org.hibernate.search.cfg

## Class NumericFieldMapping

- java.lang.Object
- - org.hibernate.search.cfg.FieldMapping
  - - org.hibernate.search.cfg.NumericFieldMapping

-     public class NumericFieldMapping
      extends FieldMapping

  Author:
    Gustavo Fernandes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumericFieldMapping(PropertyDescriptor property, EntityDescriptor entity, SearchMapping mapping)` Deprecated. Do not use constructors, use `numericField` methods in other classes from the same package.
    `NumericFieldMapping(String fieldName, PropertyDescriptor property, EntityDescriptor entity, SearchMapping mapping)` Deprecated. Do not use constructors, use `numericField` methods in other classes from the same package.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NumericFieldMapping` | `precisionStep(int precisionStep)`

    - ### Methods inherited from class org.hibernate.search.cfg.FieldMapping

      `analyze, analyzer, analyzer, analyzerDef, analyzerDef, boost, bridge, calendarBridge, dateBridge, entity, facet, field, index, indexNullAs, name, normalizer, normalizer, normalizerDef, norms, numericField, property, sortableField, store, termVector`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumericFieldMapping

          @Deprecated
          public NumericFieldMapping(PropertyDescriptor property,
                                                 EntityDescriptor entity,
                                                 SearchMapping mapping)

      Deprecated. Do not use constructors, use `numericField` methods in other classes from the same package.

    - #### NumericFieldMapping

          @Deprecated
          public NumericFieldMapping(String fieldName,
                                                 PropertyDescriptor property,
                                                 EntityDescriptor entity,
                                                 SearchMapping mapping)

      Deprecated. Do not use constructors, use `numericField` methods in other classes from the same package.

  - ### Method Detail

    - #### precisionStep

          public NumericFieldMapping precisionStep(int precisionStep)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved